<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailSGridView9Base from './ibizorder-detail-sgrid-view9-base.vue';

import view_grid from '@widgets/ibizorder-detail/main-grid/main-grid.vue';
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailSGridView9 extends IBIZOrderDetailSGridView9Base {

}
</script>